net.sf.jasperreports.engine.fill

## Class JRTemplatePrintElement

- java.lang.Object
- - net.sf.jasperreports.engine.fill.JRTemplatePrintElement

- All Implemented Interfaces:
    java.io.Serializable, JRCommonElement, JRIdentifiable, JRPrintElement, JRPropertiesHolder, JRStyleContainer, VirtualizationSerializable
  Direct Known Subclasses:
    JRTemplateGenericPrintElement, JRTemplatePrintFrame, JRTemplatePrintGraphicElement, JRTemplatePrintText

      public class JRTemplatePrintElement
      extends java.lang.Object
      implements JRPrintElement, java.io.Serializable, VirtualizationSerializable

  Base implementation of `JRPrintElement` that uses a `JRTemplateElement` instance to store common attributes.
  Version:
    $Id: JRTemplatePrintElement.java 6770 2013-11-22 14:48:55Z lucianc $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected JRTemplateElement` | `template`

    - ### Fields inherited from interface net.sf.jasperreports.engine.JRPrintElement

      `UNSET_PRINT_ELEMENT_ID, UNSET_SOURCE_ELEMENT_ID`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `JRTemplatePrintElement()`
    `protected` | `JRTemplatePrintElement(JRTemplateElement element)` Deprecated. provide a source Id via `JRTemplatePrintElement(JRTemplateElement, int)`
    `protected` | `JRTemplatePrintElement(JRTemplateElement element, int sourceElementId)` Deprecated. replaced by `JRTemplatePrintElement(JRTemplateElement, PrintElementOriginator)`
    `protected` | `JRTemplatePrintElement(JRTemplateElement element, PrintElementOriginator originator)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `<T> void` | `accept(PrintElementVisitor<T> visitor, T arg)` Accepts a print element visitor.
    `java.awt.Color` | `getBackcolor()`
    `java.awt.Color` | `getDefaultLineColor()`
    `JRDefaultStyleProvider` | `getDefaultStyleProvider()`
    `java.awt.Color` | `getForecolor()`
    `int` | `getHeight()`
    `java.lang.String` | `getKey()` Returns a string key that can be used to identify the element.
    `ModeEnum` | `getModeValue()` Returns the element transparency mode.
    `JROrigin` | `getOrigin()`
    `java.awt.Color` | `getOwnBackcolor()`
    `java.awt.Color` | `getOwnForecolor()`
    `ModeEnum` | `getOwnModeValue()`
    `JRPropertiesHolder` | `getParentProperties()` Returns the parent properties holder, whose properties are used as defaults for this object.
    `int` | `getPrintElementId()` Returns a numerical Id that together with `JRPrintElement.getSourceElementId()` uniquely identifies a print element.
    `JRPropertiesMap` | `getPropertiesMap()` Returns this object's properties map.
    `int` | `getSourceElementId()` Returns a numerical Id associated to the fill element that generated this print element.
    `JRStyle` | `getStyle()` Returns this object's style.
    `java.lang.String` | `getStyleNameReference()` Returns null as external style references are not allowed for print objects.
    `JRTemplateElement` | `getTemplate()`
    `java.util.UUID` | `getUUID()`
    `int` | `getWidth()`
    `int` | `getX()`
    `int` | `getY()`
    `boolean` | `hasProperties()` Checks whether the object has any properties.
    `void` | `readVirtualized(VirtualizationInput in)`
    `void` | `setBackcolor(java.awt.Color color)`
    `void` | `setForecolor(java.awt.Color color)`
    `void` | `setHeight(int height)`
    `void` | `setMode(ModeEnum modeValue)` Sets the element transparency mode.
    `void` | `setSourceElementId(int sourceElementId)` Sets the source/fill element Id for the print element.
    `void` | `setStyle(JRStyle style)`
    `void` | `setTemplate(JRTemplateElement template)`
    `void` | `setUUID(java.util.UUID uuid)`
    `void` | `setWidth(int width)`
    `void` | `setX(int x)`
    `void` | `setY(int y)`
    `protected void` | `updateElementTemplate(JRTemplateElement elementTemplate)` Updates the template used by this element.
    `void` | `writeVirtualized(VirtualizationOutput out)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### template

          protected JRTemplateElement template

  - ### Constructor Detail

    - #### JRTemplatePrintElement

          public JRTemplatePrintElement()

    - #### JRTemplatePrintElement

          protected JRTemplatePrintElement(JRTemplateElement element)

      Deprecated. provide a source Id via `JRTemplatePrintElement(JRTemplateElement, int)`

    - #### JRTemplatePrintElement

          protected JRTemplatePrintElement(JRTemplateElement element,
                                int sourceElementId)

      Deprecated. replaced by `JRTemplatePrintElement(JRTemplateElement, PrintElementOriginator)`
      Parameters:
        `element` -
        `sourceElementId` - the Id of the source element

    - #### JRTemplatePrintElement

          protected JRTemplatePrintElement(JRTemplateElement element,
                                PrintElementOriginator originator)

      Parameters:
        `element` -
        `originator` -

  - ### Method Detail

    - #### updateElementTemplate

          protected void updateElementTemplate(JRTemplateElement elementTemplate)

      Updates the template used by this element.
      Parameters:
        `elementTemplate` - the new element template

    - #### getDefaultStyleProvider

          public JRDefaultStyleProvider getDefaultStyleProvider()

      Specified by:
        `getDefaultStyleProvider` in interface `JRStyleContainer`

    - #### getUUID

          public java.util.UUID getUUID()

      Specified by:
        `getUUID` in interface `JRIdentifiable`

    - #### setUUID

          public void setUUID(java.util.UUID uuid)

      Specified by:
        `setUUID` in interface `JRPrintElement`

    - #### getOrigin

          public JROrigin getOrigin()

      Specified by:
        `getOrigin` in interface `JRPrintElement`

    - #### getStyle

          public JRStyle getStyle()

      Description copied from interface: `JRStyleContainer`
      Returns this object's style.
      Specified by:
        `getStyle` in interface `JRStyleContainer`
      Returns:
        this object's style

    - #### setStyle

          public void setStyle(JRStyle style)

      Specified by:
        `setStyle` in interface `JRPrintElement`

    - #### getModeValue

          public ModeEnum getModeValue()

      Description copied from interface: `JRCommonElement`
      Returns the element transparency mode. The default value depends on the type of the report element. Graphic elements like rectangles and lines are opaque by default, but the images are transparent. Both static texts and text fields are transparent by default, and so are the subreport elements.
      Specified by:
        `getModeValue` in interface `JRCommonElement`

    - #### getOwnModeValue

          public ModeEnum getOwnModeValue()

      Specified by:
        `getOwnModeValue` in interface `JRCommonElement`

    - #### setMode

          public void setMode(ModeEnum modeValue)

      Description copied from interface: `JRCommonElement`
      Sets the element transparency mode.
      Specified by:
        `setMode` in interface `JRCommonElement`

    - #### getX

          public int getX()

      Specified by:
        `getX` in interface `JRPrintElement`

    - #### setX

          public void setX(int x)

      Specified by:
        `setX` in interface `JRPrintElement`

    - #### getY

          public int getY()

      Specified by:
        `getY` in interface `JRPrintElement`

    - #### setY

          public void setY(int y)

      Specified by:
        `setY` in interface `JRPrintElement`

    - #### getWidth

          public int getWidth()

      Specified by:
        `getWidth` in interface `JRCommonElement`
      Specified by:
        `getWidth` in interface `JRPrintElement`

    - #### setWidth

          public void setWidth(int width)

      Specified by:
        `setWidth` in interface `JRPrintElement`

    - #### getHeight

          public int getHeight()

      Specified by:
        `getHeight` in interface `JRCommonElement`
      Specified by:
        `getHeight` in interface `JRPrintElement`

    - #### setHeight

          public void setHeight(int height)

      Specified by:
        `setHeight` in interface `JRPrintElement`

    - #### getForecolor

          public java.awt.Color getForecolor()

      Specified by:
        `getForecolor` in interface `JRCommonElement`

    - #### getOwnForecolor

          public java.awt.Color getOwnForecolor()

      Specified by:
        `getOwnForecolor` in interface `JRCommonElement`

    - #### setForecolor

          public void setForecolor(java.awt.Color color)

      Specified by:
        `setForecolor` in interface `JRCommonElement`

    - #### getBackcolor

          public java.awt.Color getBackcolor()

      Specified by:
        `getBackcolor` in interface `JRCommonElement`

    - #### getOwnBackcolor

          public java.awt.Color getOwnBackcolor()

      Specified by:
        `getOwnBackcolor` in interface `JRCommonElement`

    - #### setBackcolor

          public void setBackcolor(java.awt.Color color)

      Specified by:
        `setBackcolor` in interface `JRCommonElement`

    - #### getTemplate

          public JRTemplateElement getTemplate()

    - #### setTemplate

          public void setTemplate(JRTemplateElement template)

    - #### getKey

          public java.lang.String getKey()

      Description copied from interface: `JRPrintElement`
      Returns a string key that can be used to identify the element.

      When filling a report, the `report element key` is copied to all print elements generated by a report element. Note that this means that multiple elements having the same key can appear on the same page/filled report.

      Specified by:
        `getKey` in interface `JRCommonElement`
      Specified by:
        `getKey` in interface `JRPrintElement`

    - #### getStyleNameReference

          public java.lang.String getStyleNameReference()

      Returns null as external style references are not allowed for print objects.
      Specified by:
        `getStyleNameReference` in interface `JRStyleContainer`
      Returns:
        the name of an external style

    - #### getDefaultLineColor

          public java.awt.Color getDefaultLineColor()

    - #### hasProperties

          public boolean hasProperties()

      Description copied from interface: `JRPropertiesHolder`
      Checks whether the object has any properties.
      Specified by:
        `hasProperties` in interface `JRPropertiesHolder`
      Returns:
        whether the object has any properties

    - #### getPropertiesMap

          public JRPropertiesMap getPropertiesMap()

      Description copied from interface: `JRPropertiesHolder`
      Returns this object's properties map.
      Specified by:
        `getPropertiesMap` in interface `JRPropertiesHolder`
      Returns:
        this object's properties map

    - #### getParentProperties

          public JRPropertiesHolder getParentProperties()

      Description copied from interface: `JRPropertiesHolder`
      Returns the parent properties holder, whose properties are used as defaults for this object.
      Specified by:
        `getParentProperties` in interface `JRPropertiesHolder`
      Returns:
        the parent properties holder, or `null` if no parent

    - #### accept

          public <T> void accept(PrintElementVisitor<T> visitor,
                        T arg)

      Description copied from interface: `JRPrintElement`
      Accepts a print element visitor.

      The element calls the method that corresponds to the element type on the visitor.

      Specified by:
        `accept` in interface `JRPrintElement`
      Type Parameters:
        `T` - the type of the argument passed to the visit operation
      Parameters:
        `visitor` - the visitor objects
        `arg` - the argument passed to the visit operation

    - #### getSourceElementId

          public int getSourceElementId()

      Description copied from interface: `JRPrintElement`
      Returns a numerical Id associated to the fill element that generated this print element.
      Specified by:
        `getSourceElementId` in interface `JRPrintElement`
      Returns:
        the Id of the fill element that generated this element

    - #### getPrintElementId

          public int getPrintElementId()

      Description copied from interface: `JRPrintElement`
      Returns a numerical Id that together with `JRPrintElement.getSourceElementId()` uniquely identifies a print element.
      Specified by:
        `getPrintElementId` in interface `JRPrintElement`
      Returns:
        a print Id for the element
      See Also:
        `PrintElementId`

    - #### setSourceElementId

          public void setSourceElementId(int sourceElementId)

      Sets the source/fill element Id for the print element.
      Parameters:
        `sourceElementId` -
      See Also:
        `getSourceElementId()`

    - #### writeVirtualized

          public void writeVirtualized(VirtualizationOutput out)
                                throws java.io.IOException

      Specified by:
        `writeVirtualized` in interface `VirtualizationSerializable`
      Throws:
        `java.io.IOException`

    - #### readVirtualized

          public void readVirtualized(VirtualizationInput in)
                               throws java.io.IOException

      Specified by:
        `readVirtualized` in interface `VirtualizationSerializable`
      Throws:
        `java.io.IOException`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com